Bug 980631 - add redis port to the policy
add redis port to the policy
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2013-07-02 17:30 EDT by Michael Scherer
Modified: 2013-07-06 21:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-59.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-06 21:34:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to add 1 port for redis (611 bytes, patch)
2013-07-02 17:30 EDT, Michael Scherer
no flags Details | Diff

  None (edit)
Description Michael Scherer 2013-07-02 17:30:04 EDT
Created attachment 767984 [details]
patch to add 1 port for redis

Redis by default run as initrc on latest fedora. I am trying to write a policy for it, but it try to listen to port 6379 on tcp, and this is not listed in the policy.

I found out that the cleanest way to declare it is the attached patch ( alternative is a ugly cut and paste in my policy, and I would like to avoid. If we could have the macros from corenetwork.m4 usable from any policy, that would be great, maybe we can and I just didn't found how )
Comment 1 Miroslav Grepl 2013-07-03 07:39:46 EDT
Adding the patch. Thank you for policy writing again.
Comment 2 Fedora Update System 2013-07-03 15:51:01 EDT
selinux-policy-3.12.1-59.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-07-04 22:14:46 EDT
Package selinux-policy-3.12.1-59.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-59.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-06 21:34:00 EDT
selinux-policy-3.12.1-59.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.